package com.cftech.like.dao;

import com.cftech.core.generic.GenericDao;
import com.cftech.like.model.Like;
import com.cftech.like.model.LikeDto;

import java.util.List;
import java.util.Map;

/**
 * likeMapper
 * Created by mubo 10/05/2017.
 */
public interface LikeMapper extends GenericDao<Like> {

    int saveLog(Like comment);

    int deleteForever(Map<String, Object> params);

    List<LikeDto> findLikeByPage(Map<String, Object> params);

    Integer findLikeCount(Map<String, Object> params);

    Integer getLikeCount(Map<String, Object> params);

    Integer updateExhibiLikeCount(Map<String, Object> params);
}
